Name:		gtk-recordmydesktop
Version:	0.3.8
Release:	%mkrel 2

Summary:	GUI Desktop session recorder with audio and video
License:	GPL
Group:		Video
URL:		http://recordmydesktop.sourceforge.net/
Source0:	http://downloads.sourceforge.net/recordmydesktop/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pygtk2.0-devel
BuildRequires:	libalsa-devel
BuildRequires:	libogg-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	libxdamage-devel
BuildRequires:	libxext-devel
BuildRequires:	libxfixes-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	recordmydesktop 

%description

Simple gtk tool that performs the basic tasks of capturing
and encoding desktop session. It produces files using only open
formats like Theora for video and Vorbis for audio, using the Ogg
container.

%prep
%setup -q

%build

%configure2_5x 

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std
%find_lang gtk-recordMyDesktop

desktop-file-install \
	--vendor="" \
	--remove-category="Application" \
	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f gtk-recordMyDesktop.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README COPYING
%{_bindir}/*
%{python_sitelib}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.3.8-2pclos2010
- Update

* Tue Jun 09 2009 slick50 <lxgator@gmail.com> 0.3.8-1pclos2009
- 0.3.8

* Wed Aug 13 2008 Slick50 <slick50@linuxgator.org> 0.3.7.2-1pclos2007
- 0.3.7.2

* Wed Jun 20 2007 Texstar <texstar@gmail.com> 0.3.4-1pclos2007
- import into pclos 2007

